# Changelog

All notable changes to this project will be documented in this file

## [6.6.3] - 2025-04-28

### Updates

- Added `--luzmo-iq-state-loader-color-accent` for Luzmo IQ loader.

## [6.6.2] - 2025-04-14

### Updates

- Update Bar chart options: add missing values "absolute" and "percentageAllBars" for "bars.label" options

## [6.6.1] - 2025-03-28

### Updates

- Update dependent lib

## [6.6.0] - 2025-03-20

### Updates

- Add `editorLanguage` input to set the language of the dashboard editor

## [6.5.8] - 2025-03-11

### Updates

- Fix `availableDatasets` input incorrectly being passed onto luzmo embed chat component

## [6.5.7] - 2025-03-04

### Updates

- Rename "experimental" input to "embedMode" in dashboard component

## [6.5.6] - 2025-02-27

### Updates

- Add availableDatasets as input to luzmo-iq-chat component

## [6.5.5] - 2025-02-24

### Updates

- Update dependent libs

## [6.5.4] - 2025-02-21

### Updates

- Update dependent libs

## [6.5.3] - 2025-02-06

### Updates

- Update dependent libs

## [6.5.2] - 2025-01-31

### Updates

- export() now allows you to export the viz item as a CSV, XLSX and PNG

## [6.5.1] - 2025-01-21

### Updates

- Update dependent libs

## [6.5.0] - 2025-01-16

### Updates

- Update Flex performance

## [6.4.7] - 2025-01-13

### Updates

- Update dependent libs

## [6.4.6] - 2025-01-08

### Updates

- Update dependent libs

## [6.4.5] - 2025-01-07

### Updates

- Library now supports Angular v19

## [6.4.4] - 2024-12-19

### Updates

- Add LICENSE to the library

## [6.4.3] - 2024-12-10

### Updates

- Enable Luzmo IQ custom chat widget button content with WebComponents slot

## [6.4.2] - 2024-12-09

### Updates

- Minor bugfixes for EDE mode

## [6.4.1] - 2024-11-22

### Updates

- Update dependencies

## [6.4.0] - 2024-11-20

### Updates

- [Luzmo IQ](https://developer.luzmo.com/guide/iq--introduction) allows you to generate AI-powered answers to data-related questions. The update adds components that allows you embed chat and answer components onto your page

## [6.3.9] - 2024-11-14

### Updates

- Update dependencies

## [6.3.8] - 2024-11-12

### Updates

- Fixes for getAccessibleDashboards()

## [6.3.7] - 2024-10-22

### Updates

- Update dependencies

## [6.3.6] - 2024-10-21

### Updates

- Update dependencies

## [6.3.5] - 2024-10-14

### Updates

- Update dependencies

## [6.3.4] - 2024-09-26

### Updates

- Update types
- Fix a runtime issue where CSP of script-src 'unsafe-eval' was required

## [6.3.3] - 2024-09-23

### Bugfixes

- Web component now is only registered once, if already registered, the registration is skipped. (Fixes issue with libraries being included multiple times)

## [6.3.2] - 2024-09-09

### Chore

- Update lib dependencies

## [6.3.1] - 2024-09-09

### Bugfixes

- Fix typo in dependencies

## [6.3.0] - 2024-09-09

### Updates
- [Luzmo Flex](https://developer.luzmo.com/guide/flex--introduction) allows you to create customizable visualizations fully from code, allowing you to build and embed powerful, hyper-personalized data analytics products

## [6.2.1] - 2024-07-11

### Bugfixes

- Fix for loader color when embedding dashboard as a web component, and other bug fixes

### Chore

- Internal refactoring

## [6.2.0] - 2024-05-28

### Updates

- Library now supports Angular v18

## [6.1.9] - 2024-05-03

### Bugfixes

- Fix bugs in experimental=true, dashboard not loading at times

## [6.1.8] - 2024-05-02

### Bugfixes

- Height in edit mode is set to 100%, taking 100% of parent height

## [6.1.7] - 2024-04-29

### Bugfixes

- Height in edit mode is set to a minimum of 100vh

## [6.1.6] - 2024-04-24

### Updates

- Show actual error messages from luzmo application

## [6.1.5] - 2024-04-17

### Updates

- forRoot() will be removed in next major release (`7.0.0`)

## [6.1.4] - 2024-03-28

### Bugfixes

- Shared embed lib updated with bugfixes

## [6.1.3] - 2024-03-26

### Bugfixes

- Fix a regression for `@luzmo/ngx-embed` not working with Angular 16

## [6.1.2] - 2024-03-19

### Bugfixes

- Fix getAccessibleDashboards() to correctly work with embed tokens

## [6.1.1] - 2024-03-18

### Updates

- Correct typings are now exposed from @luzmo/ngx-embed
- Dependencies moved from peerDependencies to dependencies

## [6.1.0] - 2024-03-14

### Updates

- Library now is a wrapper around @luzmo/embed

### Bugfixes

- Move @luzmo/shared-embed and @luzmo/embed from peerDependencies to dependencies

## [6.0.9] - 2024-03-11

### Bugfixes

- Use display block for the luzmo-dashboard component

## [6.0.8] - 2024-03-07

### Bugfixes

- Fix EDE width and height issue not being 100%

## [6.0.7] - 2024-03-05

### Updates

- Typing improvements in shared lib

## [6.0.6] - 2024-02-28

### Updates

- Bugfixes in experimental mode for width height issue

## [6.0.5] - 2024-02-26

### Updates

- Update dependencies
- Bump Angular to v17 to use in library

## [6.0.4] - 2024-02-02

### Updates

- `@luzmo/shared-embed` is now included as a dependency
- Library now supports Angular v17

## [6.0.3] - 2024-02-01

### Updates

- Add a parameter to allow testing upstream changes for clients
- Performance improvements

## [6.0.2] - 2024-01-29

### Chore

- Update library to support Angular 17

## [6.0.1] - 2023-12-06

### BUGFIX

- Fix a bug where dimensions were calculated before dimension data was available which resulted in a crash
