import { AfterViewInit, ElementRef, NgZone } from '@angular/core';
import { IQAnswerOptions, IQMessage } from '@luzmo/embed';
import * as i0 from "@angular/core";
export declare class NgxLuzmoIQAnswerComponent implements AfterViewInit {
    private elementRef;
    private ngZone;
    appServer?: string | undefined;
    apiHost?: string | undefined;
    options?: IQAnswerOptions;
    messages?: IQMessage[];
    authKey?: string;
    authToken?: string;
    aiEndPoint?: string;
    libVersion: string;
    luzmoIQAnswerItem: ElementRef<HTMLElement>;
    constructor(elementRef: ElementRef, ngZone: NgZone);
    private get luzmoVizElement();
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxLuzmoIQAnswerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxLuzmoIQAnswerComponent, "luzmo-iq-answer", never, { "appServer": { "alias": "appServer"; "required": false; }; "apiHost": { "alias": "apiHost"; "required": false; }; "options": { "alias": "options"; "required": false; }; "messages": { "alias": "messages"; "required": false; }; "authKey": { "alias": "authKey"; "required": false; }; "authToken": { "alias": "authToken"; "required": false; }; "aiEndPoint": { "alias": "aiEndPoint"; "required": false; }; }, {}, never, never, true, never>;
}
