import { AfterViewInit, ElementRef, NgZone } from '@angular/core';
import { IQChatOptions } from '@luzmo/embed';
import * as i0 from "@angular/core";
export declare class NgxLuzmoIQChatComponent implements AfterViewInit {
    private elementRef;
    private ngZone;
    appServer?: string | undefined;
    apiHost?: string | undefined;
    options?: IQChatOptions;
    authKey?: string;
    authToken?: string;
    initialSuggestionsDatasetId?: string;
    aiEndPoint?: string;
    availableDatasets?: string[];
    libVersion: string;
    luzmoIQChatItem: ElementRef<HTMLElement>;
    constructor(elementRef: ElementRef, ngZone: NgZone);
    private get luzmoVizElement();
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxLuzmoIQChatComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxLuzmoIQChatComponent, "luzmo-iq-chat", never, { "appServer": { "alias": "appServer"; "required": false; }; "apiHost": { "alias": "apiHost"; "required": false; }; "options": { "alias": "options"; "required": false; }; "authKey": { "alias": "authKey"; "required": false; }; "authToken": { "alias": "authToken"; "required": false; }; "initialSuggestionsDatasetId": { "alias": "initialSuggestionsDatasetId"; "required": false; }; "aiEndPoint": { "alias": "aiEndPoint"; "required": false; }; "availableDatasets": { "alias": "availableDatasets"; "required": false; }; }, {}, never, ["[slot='custom-chat-widget-content']"], true, never>;
}
